This is an automated email from the ASF dual-hosted git repository.
jbarrett pushed a commit to branch develop
in repository https://gitbox.apache.org/repos/asf/geode-native.git
The following commit(s) were added to refs/heads/develop by this push:
new 19440c3 Install cpp-coveralls on Linux.
19440c3 is described below
commit 19440c39d47ca8e210142e01d4d36759d1966a75
Author: Jacob Barrett <[email protected]>
AuthorDate: Thu Jun 21 23:23:46 2018 -0700
Install cpp-coveralls on Linux.
---
packer/build-linux.json | 8 +++++---
packer/rhel/install-coverage-tools.sh | 20 ++++++++++++++++++++
packer/rhel/install-scl-python27.sh | 24 ++++++++++++++++++++++++
3 files changed, 49 insertions(+), 3 deletions(-)
diff --git a/packer/build-linux.json b/packer/build-linux.json
index abc7594..4adbae0 100644
--- a/packer/build-linux.json
+++ b/packer/build-linux.json
@@ -70,10 +70,12 @@
"rhel/disable-selinux.sh",
"rhel/add-user-build.sh",
"rhel/install-repos.sh",
- "rhel/install-jdk-1.8.sh",
- "rhel/install-build-rpms.sh",
"rhel/install-scl-devtoolset.sh",
- "rhel/install-cmake.sh"
+ "rhel/install-scl-python27.sh",
+ "rhel/install-build-rpms.sh",
+ "rhel/install-coverage-tools.sh",
+ "rhel/install-cmake.sh",
+ "rhel/install-jdk-1.8.sh"
]
},
{
diff --git a/packer/rhel/install-coverage-tools.sh
b/packer/rhel/install-coverage-tools.sh
new file mode 100644
index 0000000..d827ded
--- /dev/null
+++ b/packer/rhel/install-coverage-tools.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -x -e -o pipefail
+
+scl enable python27 'pip install cpp-coveralls'
diff --git a/packer/rhel/install-scl-python27.sh
b/packer/rhel/install-scl-python27.sh
new file mode 100644
index 0000000..666a3e9
--- /dev/null
+++ b/packer/rhel/install-scl-python27.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -x -e -o pipefail
+
+yum-config-manager --enable rhui-REGION-rhel-server-rhscl
+yum -y install python27-python-pip
+scl enable python27 'pip install --upgrade pip'
+
+echo "source scl_source enable python27" >> ~build/.bashrc